Summary: Hard Hat Linux base file system
Source1: filesystem.tmpl
Name: hhl-target-filesystem
Version: 2.0
Release: %{_hhl_build_id}.7
License: Public Domain
Group: base
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

# Turned off...
#BuildArch: noarch

%description
This package contains the basic file system hierarchy of a Hard Hat Linux 
system.

# filesystem
%package -n hhl-%{_hhl_target_arch}-filesystem
Summary: Hard Hat Linux base file system
Group: base
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-filesystem
This package contains the basic file system hierarchy of a Hard Hat Linux 
system.

%prep
%target_check
echo "Based off of an FHS 2.2 draft dated January 8, 2001" > LICENSE
echo >> LICENSE
echo "This package copyright 2001 MontaVista Software" >> LICENSE
echo >> LICENSE
echo "This package may be used for any purpose, and is placed in the public domain" >> LICENSE

%install
%target_setup
rm -rf %{buildroot}

# The "/etc/default" directory needs to come from somewhere
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/etc/default

# The following is from the FHS Requirements 3.2
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/bin
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/boot
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/dev
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/etc
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/lib
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/mnt
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/opt
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/sbin
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/tmp
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/var

# From the FHS optional 3.3
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/home
%if "%{_hhl_target_lib}" != "lib"
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/%{_hhl_target_lib}
%endif
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/root

# From the FHS requirements 3.7.2
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/etc/opt

# From the FHS requirements 4.2
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/bin
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/include
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/lib
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/local
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/sbin
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/share

# From the FHS options 4.3
%if "%{_hhl_target_lib}" != "lib"
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/%{_hhl_target_lib}
%endif
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/src

# From the FHS requirements 4.10.2
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/local/bin
#mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/local/games
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/local/include
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/local/lib
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/local/man
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/local/sbin
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/local/share
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/local/src

# From the FHS options 4.10.3
%if "%{_hhl_target_lib}" != "lib"
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/local/%{_hhl_target_lib}
%endif

# From the FHS requirements 4.12.2
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/share/man
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/share/misc

# From the FHS requirements 4.12.3
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/share/doc
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/share/info
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/share/locale
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/share/nls

# From the FHS requirements 4.12.5.2
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/share/man/man1
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/share/man/man2
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/share/man/man3
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/share/man/man4
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/share/man/man5
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/share/man/man6
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/share/man/man7
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/share/man/man8

mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/local/man/man1
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/local/man/man2
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/local/man/man3
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/local/man/man4
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/local/man/man5
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/local/man/man6
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/local/man/man7
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/usr/local/man/man8

# From the FHS requirements 5.2
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/var/cache
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/var/lib
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/var/local
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/var/lock
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/var/log
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/var/opt
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/var/run
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/var/spool
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/var/tmp
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/var/backups

# Since programs seem to still look in the old location.
# From the FHS options 5.3
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/var/mail
ln -s ../mail %{buildroot}/%{_hhl_cross_target_dir}/var/spool/mail

# From the FHS requirements 5.8.2
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/var/lib/misc

# From the FHS requirements 6.1.5
mkdir -p %{buildroot}/%{_hhl_cross_target_dir}/proc

echo %{_hhl_target_arch} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/hhl-arch

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/filesystem

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-filesystem
%defattr(755,root,root)
%dir %{_hhl_cross_target_dir}/proc

# The "/etc/default" directory needs to come from somewhere
%dir %{_hhl_cross_target_dir}/etc/default

# The following is from the FHS Requirements 3.2
%dir %{_hhl_cross_target_dir}/bin
%dir %{_hhl_cross_target_dir}/boot
%dir %{_hhl_cross_target_dir}/dev
%dir %{_hhl_cross_target_dir}/etc
%dir %{_hhl_cross_target_dir}/lib
%dir %{_hhl_cross_target_dir}/mnt
%dir %{_hhl_cross_target_dir}/opt
%dir %{_hhl_cross_target_dir}/sbin
%attr(1777,root,root) %dir %{_hhl_cross_target_dir}/tmp
%dir %{_hhl_cross_target_dir}/usr
%dir %{_hhl_cross_target_dir}/var

# From the FHS optional 3.3
%dir %{_hhl_cross_target_dir}/home
%if "%{_hhl_target_lib}" != "lib"
%dir %{_hhl_cross_target_dir}/%{_hhl_target_lib}
%endif
%attr(4700,root,root) %dir %{_hhl_cross_target_dir}/root

# From the FHS requirements 3.7.2
%dir %{_hhl_cross_target_dir}/etc/opt

# From the FHS requirements 4.2
%dir %{_hhl_cross_target_dir}/usr/bin
%dir %{_hhl_cross_target_dir}/usr/include
%dir %{_hhl_cross_target_dir}/usr/lib
%dir %{_hhl_cross_target_dir}/usr/local
%dir %{_hhl_cross_target_dir}/usr/sbin
%dir %{_hhl_cross_target_dir}/usr/share

# From the FHS options 4.3
#%dir %{_hhl_cross_target_dir}/usr/games
%if "%{_hhl_target_lib}" != "lib"
%dir %{_hhl_cross_target_dir}/usr/%{_hhl_target_lib}
%endif
%dir %{_hhl_cross_target_dir}/usr/src

# From the FHS requirements 4.10.2
%dir %{_hhl_cross_target_dir}/usr/local/bin
#%dir %{_hhl_cross_target_dir}/usr/local/games
%dir %{_hhl_cross_target_dir}/usr/local/include
%dir %{_hhl_cross_target_dir}/usr/local/lib
%dir %{_hhl_cross_target_dir}/usr/local/man
%dir %{_hhl_cross_target_dir}/usr/local/sbin
%dir %{_hhl_cross_target_dir}/usr/local/share
%dir %{_hhl_cross_target_dir}/usr/local/src

# From the FHS options 4.10.3
%if "%{_hhl_target_lib}" != "lib"
%dir %{_hhl_cross_target_dir}/usr/local/%{_hhl_target_lib}
%endif

# From the FHS requirements 4.12.2
%dir %{_hhl_cross_target_dir}/usr/share/man
%dir %{_hhl_cross_target_dir}/usr/share/misc

# From the FHS requirements 4.12.3
%dir %{_hhl_cross_target_dir}/usr/share/doc
#%dir %{_hhl_cross_target_dir}/usr/share/games
%dir %{_hhl_cross_target_dir}/usr/share/info
%dir %{_hhl_cross_target_dir}/usr/share/locale
%dir %{_hhl_cross_target_dir}/usr/share/nls

# From the FHS requirements 4.12.5.2
%dir %{_hhl_cross_target_dir}/usr/share/man/man1
%dir %{_hhl_cross_target_dir}/usr/share/man/man2
%dir %{_hhl_cross_target_dir}/usr/share/man/man3
%dir %{_hhl_cross_target_dir}/usr/share/man/man4
%dir %{_hhl_cross_target_dir}/usr/share/man/man5
%dir %{_hhl_cross_target_dir}/usr/share/man/man6
%dir %{_hhl_cross_target_dir}/usr/share/man/man7
%dir %{_hhl_cross_target_dir}/usr/share/man/man8

%dir %{_hhl_cross_target_dir}/usr/local/man/man1
%dir %{_hhl_cross_target_dir}/usr/local/man/man2
%dir %{_hhl_cross_target_dir}/usr/local/man/man3
%dir %{_hhl_cross_target_dir}/usr/local/man/man4
%dir %{_hhl_cross_target_dir}/usr/local/man/man5
%dir %{_hhl_cross_target_dir}/usr/local/man/man6
%dir %{_hhl_cross_target_dir}/usr/local/man/man7
%dir %{_hhl_cross_target_dir}/usr/local/man/man8

# From the FHS requirements 5.2
%dir %{_hhl_cross_target_dir}/var/backups
%dir %{_hhl_cross_target_dir}/var/cache
%dir %{_hhl_cross_target_dir}/var/lib
%dir %{_hhl_cross_target_dir}/var/local
%dir %{_hhl_cross_target_dir}/var/lock
%dir %{_hhl_cross_target_dir}/var/log
#%dir %{_hhl_cross_target_dir}/var/games
%attr(2775,root,mail) %dir %{_hhl_cross_target_dir}/var/mail
%dir %{_hhl_cross_target_dir}/var/opt
%dir %{_hhl_cross_target_dir}/var/run
%dir %{_hhl_cross_target_dir}/var/spool
%{_hhl_cross_target_dir}/var/spool/mail
%attr(1777,root,root) %dir %{_hhl_cross_target_dir}/var/tmp

# From the FHS requirements 5.8.2
%dir %{_hhl_cross_target_dir}/var/lib/misc

%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/filesystem

# For automated testing
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/hhl-arch
%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Mon Jan 22 2001 Mark Hatle <fray@mvista.com>
- First cut

